## jquery-at.js 1.5.3+dfsg.1

=== debian/changelog ===
jquery-at.js (1.5.3+dfsg.1-1) experimental; urgency=medium

  * The “Mohammad Shahidullah” release.
  * New upstream version.
  * Specify current VCS for Debian packaging work.
  * Rename binary package to conform with Debian JavaScript team policy:
    because the library file is ‘jquery-atwho.js’, the binary package name
    must be ‘libjs-jquery-atwho’.
    Closes: bug#863255. Thanks to Pirate Praveen for the report.

 -- Ben Finney <bignose@debian.org>  Fri, 26 May 2017 10:20:38 +1000

jquery-at.js (1.5.2+dfsg.1-1) experimental; urgency=medium

  * Initial Debian release.
    Closes: bug#836407. Thanks to Sergio Durigan Junior for the report.

 -- Ben Finney <bignose@debian.org>  Sun, 11 Dec 2016 22:18:23 +1100
