=== debian/control ===
Source: jquery-at.js
Priority: optional
Maintainer: Ben Finney <bignose@debian.org>
Section: web
Build-Depends:
    coffeescript,
    node-uglify,
    debhelper (>= 9~)
Standards-Version: 3.9.8
Homepage: https://github.com/ichord/At.js/
VCS-Git: https://anonscm.debian.org/git/users/bignose/debian/pkg-jquery-at.js.git
VCS-Browser: https://anonscm.debian.org/git/users/bignose/debian/pkg-jquery-at.js.git

Package: libjs-jquery-atwho
Architecture: all
Depends:
    ${misc:Depends}
Recommends:
    javascript-common
Description: library to autocomplete references in text fields
 The JavaScript library ‘jquery-atwho.js’ provides autocompletion
 functionality for nickname metions, smileys (emoticons/emoji), etc.
 in text fields.
 .
 This package installs the runtime library.
