=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules
# Part of Debian ‘jquery-at.js’ package.
#
# Copyright © 2008–2017 Ben Finney <bignose@debian.org>
#
# This is free software; you may copy, modify, and/or distribute this
# work under the terms of the GNU General Public License as published
# by the Free Software Foundation; version 3 of that License or later.
# No warranty expressed or implied.
# See the file '/usr/share/common-licenses/GPL-3' for details.

JAVASCRIPT_MODULES = \
        default \
        app \
        controller \
        textareaController \
        editableController \
        model \
        view \
        api

JAVASCRIPT_LIBRARY = \
	jquery.atwho

SOURCE_DIR = $(CURDIR)/src
BUILD_DIR = $(CURDIR)/build
BUILD_JS_DIR = ${BUILD_DIR}/js

COFFEESCRIPT_SUFFIX = .coffee

JAVASCRIPT_SUFFIX = .js
javascript_module_files = $(addsuffix ${JAVASCRIPT_SUFFIX},${JAVASCRIPT_MODULES})
javascript_module_paths = $(addprefix ${BUILD_JS_DIR}/,${javascript_module_files})
GENERATED_FILES += ${javascript_module_paths}

javascript_library_file = $(addsuffix ${JAVASCRIPT_SUFFIX},${JAVASCRIPT_LIBRARY})
javascript_library_path = $(addprefix ${BUILD_JS_DIR}/,${javascript_library_file})
GENERATED_FILES += ${javascript_library_path}

COMPILED_JAVASCRIPT_SUFFIX = .min${JAVASCRIPT_SUFFIX}
compiled_javascript_files = $(addsuffix ${COMPILED_JAVASCRIPT_SUFFIX},\
	${JAVASCRIPT_LIBRARY})
compiled_javascript_paths = $(addprefix ${BUILD_JS_DIR}/,\
	${compiled_javascript_files})
GENERATED_FILES += ${compiled_javascript_paths}

COFFEE = coffee
COFFEE_OPTS = --compile --print --map
COFFEE_REQUIRE_OPTS = $(addprefix --require , jquery)

JAVASCRIPT_MINIFY = uglifyjs
JAVASCRIPT_MINIFY_OPTS =


%:
	dh $@


.PHONY: get-packaged-orig-source
get-packaged-orig-source:
	$(uscan-download-source) --download-current-version

# Policy §4.9 strongly recommends the ‘get-orig-source’ target:
# “This target is optional, but providing it if possible is a good idea.”
#
# This target is an anomaly: per Policy §4.9, it fetches the *latest*
# upstream source, regardless of this package's version. To fetch the
# upstream source corresponding to this package's *declared* version
# in ‘debian/changelog’, use ‘get-packaged-orig-source’ instead.
.PHONY: get-orig-source
get-orig-source:
	$(uscan-download-source)

get-orig-source get-packaged-orig-source: http_proxy =
get-orig-source get-packaged-orig-source: makefile_dir = $(abspath $(dir $(firstword ${MAKEFILE_LIST})))
get-orig-source get-packaged-orig-source: package_dir = $(abspath $(dir ${makefile_dir}))

define uscan-download-source
	uscan --noconf --verbose \
	    --force-download \
	    --rename \
	    --destdir=$(CURDIR) \
	    --check-dirname-level=0 ${package_dir}
endef # uscan-download-source


.PHONY: override_dh_auto_build
override_dh_auto_build: minify-javascript

.PHONY: minify-javascript
minify-javascript: ${compiled_javascript_paths}

.PRECIOUS: ${javascript_library_path}

${javascript_library_path}: ${javascript_module_paths}
	cat $^ > $@

%${COMPILED_JAVASCRIPT_SUFFIX}: %${JAVASCRIPT_SUFFIX}
	$(JAVASCRIPT_MINIFY) ${JAVASCRIPT_MINIFY_OPTS} $< > $@

${javascript_module_paths}: ${BUILD_JS_DIR}

${BUILD_JS_DIR}:
	mkdir --parents $@

${BUILD_JS_DIR}/%${JAVASCRIPT_SUFFIX}: ${SOURCE_DIR}/%${COFFEESCRIPT_SUFFIX}
	$(COFFEE) ${COFFEE_OPTS} ${COFFEE_REQUIRE_OPTS} $< > $@

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	$(RM) -r ${GENERATED_FILES}


# Local variables:
# coding: utf-8
# mode: makefile
# End:
# vim: fileencoding=utf-8 filetype=make :
