=== debian/watch ===
# debian/watch
# Debian UScan configuration for ‘jquery-at.js’ package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 4

# Source tarball from Harold.Luo's repository.
opts="uversionmangle=s/(\d)-(rc|a|b|c)/$1~$2/,repack,repacksuffix=+dfsg.1,dversionmangle=s/\+dfsg\.\d+$//" \
    https://github.com/ichord/At.js/releases/ \
    /ichord/At.js/archive/(?:v)?(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :
