## jquery-at.js 1.5.4+dfsg.1

=== debian/changelog ===
jquery-at.js (1.5.4+dfsg.1-4) unstable; urgency=medium

  * Update upstream source URL for changes at the hosting provider.
  * Override false positive Lintian check for VCS-* field names.
  * debian/patches/replace-gulp-util-log-by-fancy-log.patch:
    * Replace uses of ‘gulp-util.log’ API with ‘fancy-log’ API.
    Closes: bug#1010904. Thanks to Pirate Praveen for the report.
  * Override a Lintian warning for a Debian-specific patch.

 -- Ben Finney <bignose@debian.org>  Tue, 17 May 2022 15:03:20 +1000

jquery-at.js (1.5.4+dfsg.1-3) unstable; urgency=medium

  * The “Glenn Randers-Pehrson” release.
  * Update publication years for Debian packaging in copyright notices.
  * Specify settings for EditorConfig in this project.
  * Rename default Git branch in official repository, to ‘main’.
  * Declare conformance to “Standards-Version: 4.6.0”.
  * Remove ‘get-orig-source’ and ‘get-packaged-orig-source’ targets.
    These are no longer mentioned in Debian Policy 4.1.4 and later.
  * Declare Debhelper compatibility level 13.
  * debian/compat:
    * Remove obsolete configuration file.
  * Update package source documentation for standard packaging tools.
  * Refine the exclusion set, to preserve the upstream source files.
  * Use UScan features to better specify upstream source URLs.
  * Specify the package build system does not require root privilege.
  * Add simple AutoPkgTest smoke test of installed library files.
  * Build-Depends on command-line tool (not library) UglifyJS package.
    Closes: bug#979931. Thanks to Jonas Smedegaard for the explanation.
  * debian/patches/gulp-signal-task-completion.patch:
    * Patch Gulp tasks for new asynchronous task runner.
    Closes: bug#954680. Thanks to Lucas Nussbaum for the report.
  * Install the NodeJS package definition.
  * Symlink the library files to the NodeJS search path.
  * Declare the installed package “Provides: node-jquery.caret”.
    Closes: bug#863293. Thanks to Pirate Praveen for the report.
  * Record upstream metadata in DEP-12 document.
  * Override a Lintian check for upstream example documents.
    The documents breach user privacy, which should not be installed.

 -- Ben Finney <bignose@debian.org>  Wed, 23 Feb 2022 12:19:27 +1100

jquery-at.js (1.5.4+dfsg.1-2) unstable; urgency=medium

  * The “Ananda Gopal Ganguly” release.
  * Patch the CSS to correct an invalid font declaration.
  * Use helpful substitution markers in UScan configuration.
  * Patch Gulp build system to remove unused actions.
  * Use the Gulp build system to compile CoffeeScript source.
    Closes: bug#890391. Thanks to Pirate Praveen for the report
    and assistance in packaging the changes.
  * Use the Gulp build system to compile the library.

 -- Ben Finney <bignose@debian.org>  Sun, 25 Feb 2018 23:09:42 +1100

jquery-at.js (1.5.4+dfsg.1-1) unstable; urgency=medium

  * The “Nikhil Joarder” release.
  * New upstream version.
    Highlights since previous release:
    * Restores ‘functionOverrides’ setting.
  * Correct declaration of Source URL.
  * Correct URL for copyright file format.
  * Update description of source package for current VCS workflow.
  * Update Git-Buildpackage configuration for current VCS workflow.
  * Correct “Section: javascript”.
    Closes: bug#878478.
  * Declare architecture-independent build dependencies.
  * Upgrade Debhelper dependency to version 11.
  * Declare “Standards-Version: 4.1.3”.
  * Specify current VCS for Debian packaging work.
  * Correct filesystem permissions for ‘debian/rules’.

 -- Ben Finney <bignose@debian.org>  Fri, 16 Feb 2018 11:41:34 +1100
