=== debian/control ===
Source: jquery-at.js
Priority: optional
Maintainer: Ben Finney <bignose@debian.org>
Section: javascript
Build-Depends-Indep:
    gulp,
    node-gulp-coffee,
    node-gulp-concat,
    node-gulp-util,
    uglifyjs
Build-Depends:
    debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/ichord/At.js/
VCS-Git: https://salsa.debian.org/debian/pkg-jquery-at.js.git
VCS-Browser: https://salsa.debian.org/debian/pkg-jquery-at.js/
Rules-Requires-Root: no

Package: libjs-jquery-atwho
Architecture: all
Depends:
    ${misc:Depends}
Recommends:
    javascript-common
Provides: node-at.js (= ${source:Version})
Description: library to autocomplete references in text fields
 The JavaScript library ‘jquery-atwho.js’ provides autocompletion functionality
 for nickname mentions, smileys (emoticons/emoji), etc. in text fields.
 .
 This package installs the runtime library.
